SessionBeanType
Date: 2015-09-11

javax.enterprise.inject.spi

## Enum SessionBeanType

- java.lang.Object
- - java.lang.Enum<SessionBeanType>
  - - javax.enterprise.inject.spi.SessionBeanType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SessionBeanType>

      public enum SessionBeanType
      extends java.lang.Enum<SessionBeanType>

  Identifies the kind of EJB session bean.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SINGLETON` A singleton session bean
    `STATEFUL` A stateful session bean
    `STATELESS` A stateless session bean

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SessionBeanType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SessionBeanType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATELESS

          public static final SessionBeanType STATELESS

      A stateless session bean

    - #### STATEFUL

          public static final SessionBeanType STATEFUL

      A stateful session bean

    - #### SINGLETON

          public static final SessionBeanType SINGLETON

      A singleton session bean

  - ### Method Detail

    - #### values

          public static SessionBeanType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SessionBeanType c : SessionBeanType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SessionBeanType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null